apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true,
	});
	var info=api.pageParam.data;
//	alert( JSON.stringify(info) )
	var home1 = new Vue({
		el: "#app",
		data: {
			root:root,
			info:info,
			phone:'',
			name:'',
			content:''
		},
		mounted: function() {
			setStatusBar(document.querySelector(".head_chaozhi"));
		},
		computed:{
			firstPic:function(){
				return this.info.pics[0];
			}
		},
		methods: {
			fanhui:function(){
        api.closeWin();
      },
			click1:function(){
				// alert(1)
				var that = this;
				var id = that.info.id;
				var phone = that.phone;
				var name = that.name;
				var content = that.content;
				if(!isPhone(phone)){
					api.toast({
					    msg: '请输入正确的手机号码',
					    duration: 2000,
					    location: 'bottom'
					});
					return;
				};
				if(name==''){
					api.toast({
					    msg: '请输入姓名',
					    duration: 2000,
					    location: 'bottom'
					});
					return;
				};
        api.ajax({
            url: this.root+'/index.php/index/myindex/yuyue',
            method: 'post',
            data: {
                values: {
                  token:token,
									phone: phone,
									name: name,
									content: content,
									id:id,
                },
            }
        },function(ret, err){
				    if (ret) {
							if(ret.code==0){
								api.toast({
								    msg: '订单提交成功',
								    duration: 2000,
								    location: 'bottom'
								});
								setTimeout(function(){
									api.closeToWin({
									    name: 'index'
									});
								},1000);
							};
				    } else {
				        console.log( JSON.stringify( err ) );
				    }
				});
      },
		},
	})
};
