apiready=function () {
  var token = api.getPrefs({
		key: 'token',
		sync: true
	});
  var userInfo = JSON.parse(
    api.getPrefs({
  		key: 'userInfo',
  		sync: true
  	})
  );
  var carDetail=new Vue({        
    el: '#app',
    data: {
      checked:false,
      cardetail:[],
      lunbo:[],          
      downIcon: true,
      id:api.pageParam.id,
      weekList:[],
      thisWeek:[],
      beginTime:'',
      endTime:'',
      weekPq:{},
      now:new Date(),
      noPay:0,//待支付订单数量
      // option: {
      // label: 'Option Checkbox',
      // value: 'optionValue',
      // disabled: false
    },
    created:function(){
      this.getNextS();
      this.getCarArrange();
      this.getNoPayOrder();
      this.getCarDetail();
    },
    mounted:function(){
      var that=this;
      setStatusBar(document.querySelector(".Y_clxq_lb_icon"));
      setTimeout(function(){
        var mySwiper = new Swiper('.swiper-container', {
          loop: true,
          pagination: {
            el: '.swiper-pagination',
            type: 'fraction',
          },
          autoplay: false, //等同于以下设置
          autoplay: {
            delay: 2000,
            stopOnLastSlide: false,
            disableOnInteraction: true,
          },
        })
      },300);
    },
    methods: {
      kefu:function(){
        api.openWin({
            name: 'service',
            url: './service.html',
            pageParam: {
                name: 'test'
            }
        });
      },
      //获取车辆详情
      getCarDetail:function(){
        var that=this;
        // 获取车辆详情数据
        api.showProgress({
            style: 'default',
            animationType: 'fade',
            title: '加载中...',
            text: ''
        });
        api.ajax({
            url: root+'/index.php/index/myindex/details',
            method: 'post',
            dataType:'json',
            data: {
                values: {
                    id:that.id,
                    token:token,
                },
            }
        },function(ret, err){
            if (ret) {
              if(ret.shoucang=="0"){
                  that.downIcon = that.downIcon;
              }else{
                  that.downIcon = !that.downIcon;
              }
                that.cardetail=ret.details;
                that.lunbo=ret.details.lunbo.lunbo;
            } else {
                console.log( JSON.stringify( err ) );
            }
            api.hideProgress();
        });
      },
      //查询车辆排期
      getCarArrange:function(flag){
        var that=this;
        var params={
          token:token,
          carid:api.pageParam.id,
          flag:flag || 1,
          specmonth:0,
          specyear:this.now.getFullYear()
        };
        apiList.getCarArrange(params,function(ret){
          if(ret.code==0){
            that.weekPq=JSON.parse(ret.data);
          };
        });
      },
      collect: function() { 
        var that=this;         
        that.downIcon = !that.downIcon;
        api.ajax({
          url:'http://anhezuche.eacase.com/index.php/index/myindex/thumbs',
          method:'post',
          dataType:'json',
          data:{
            values:{
              id:that.id,
              token:token
            }
          }
        },function(ret, err){
          if(ret){
            // alert(ret.code)
            if(ret.code=="0"){

                api.toast({ msg: ret.msg, duration: 2000, location: 'bottom' });
            }else if(ret.code=="2"){
                // that.downIcon = that.downIcon;
                  api.toast({ msg: ret.msg, duration: 2000, location: 'bottom' });
            }else{
              api.toast({ msg: "收藏失败", duration: 2000, location: 'bottom' });
            }

            // alert( JSON.stringify(ret))
            // alert(1)
          }else{
            console.log(JSON.stringify(err))
            // alert(2)
          }
        })          
      },
      fanhui:function(){
        api.closeWin();
      },
      openSelectTime:function(){
        if(this.cardetail.leasestate!='可租'){
          api.alert({
              title: '提示',
              msg: '该车'+this.cardetail.leasestate,
          });
          return;
        };
        var that=this;
        api.openWin({
            name: 'selectTime',
            url: 'selectTime.html',
            animation:{
              type:'movein',
              subType:'from_bottom'
            },
            pageParam:{
              id:api.pageParam.id,
              beginTime:that.beginTime, //开始时间
              endTime:that.endTime, //结束时间
              minDays:this.cardetail.qizu_tian==''?0:this.cardetail.qizu_tian
            }
        });
      },
      confirmOrder:function(){
        var that=this;
        var audit_state=isCertification();
        if(audit_state!='审核通过'){
          api.confirm({
              title: '提示',
              msg: '您的实名认证尚未完成，实名认证后才可正常使用租车服务，去认证？',
              buttons: ['确定', '取消']
          }, function(ret, err){
            if(ret.buttonIndex==1){
              api.openWin({
                  name: 'Y_smrz',
                  url: './Y_smrz.html'
              });
            };
          });
          return;
        };
        if(this.noPay>0){
          api.alert({
              title: '警告',
              msg: '您有订单未支付，请先支付！',
          });
          return;
        };
        if(this.beginTime=='' || this.endTime==''){
          api.toast({
              msg: '请选择起始时间',
              duration: 2000,
              location: 'bottom'
          });
          this.openSelectTime();
          return;
        };
        var params={
          token:token,
          userid:userInfo.id,
          isBz:this.isBz,
          carid:api.pageParam.id,
          sdate:this.beginTime/1000,
          edate:this.endTime/1000
        };
        api.showProgress({
            style: 'default',
            animationType: 'fade',
            title: '加载中...',
            text: ''
        });

        apiList.confirmOrder(params,function(ret){
          api.hideProgress();
          if(ret.code==0){
            if(ret.data[0][0].res1==1){
              api.alert({
                  title: '提示',
                  msg: '当前车辆已出租',
              });
              return;
            };
            api.openWin({
                name: 'Y_qrdd.html',
                url: './Y_qrdd.html',
                pageParam: {
                    orderId:ret.data[0][0].res1
                }
            });
          }else if(ret.code==3){
            api.alert({
                title: '警告',
                msg: '您有订单未支付，请先支付！',
            });
          };
        });
      },
      //验证当前时间车辆是否可用
      canUse:function(day){
        var thisTime=day.timeStamp/1000;
        if(this.weekPq[thisTime]){
          return this.weekPq[thisTime];
        }else{
          return 'n';
        };
      },
      getNextS:function(){
        var data=getNextS();
        this.thisWeek=data.time;
        var weekList=data.week;
        for(var i=0;i<weekList.length;i++){
          switch (weekList[i]) {
            case 0:
              weekList[i]='日';
              break;
            case 1:
              weekList[i]='一';
              break;
            case 2:
              weekList[i]='二';
              break;
            case 3:
              weekList[i]='三';
              break;
            case 4:
              weekList[i]='四';
              break;
            case 5:
              weekList[i]='五';
              break;
            case 6:
              weekList[i]='六';
              break;
          };
        };
        this.weekList=weekList;
      },
      //查询用户当前待支付订单
      getNoPayOrder:function(){
        var that=this;
        var params={
          token:token,
          uid:userInfo.id,
          ostate:'待支付'
        };
        apiList.getOrderInfo(params,function(data){
          if(data.code==0){
            that.noPay=data.data.length;
          }
        })
      }        
    }      
  });

  api.addEventListener({
      name: 'timeSelected',
  }, function(ret, err){
      carDetail.beginTime=ret.value.beginTime;
      carDetail.endTime=ret.value.endTime;
  });
}
