apiready = function() {
    var token = api.getPrefs({
        key: 'token',
        sync: true
    });
    var app = new Vue({
        el: '#app',
        data: {
            tel: '',
            describe: '',
        },
        mounted: function() {
            setStatusBar(document.querySelector(".Y_yhj_tou"))
                // 字数限制
            document.getElementById('note').onkeyup = function() {
                    document.getElementById('text-count').innerHTML = this.value.length;
                }
                //（jquery）
            $('#note2').keyup(function() {
                //    var val=$('#note2').val();
                //    var len=val.length;
                var len = this.value.length
                $('#text-count2').text(len);
            })
        },
        methods: {
            guanbi: function() {
                api.closeWin();
            },
            clicktj: function() {
                var that = this;
                var tel = that.tel;
                var describe = that.describe;
                //提交之前要判断手机号
                if (tel == '') {
                    api.toast({
                        msg: '手机号不能为空',
                        duration: 2000,
                        location: 'bottom'
                    });
                } else if (!isPhone(tel)) {
                    api.toast({
                        msg: '请输入正确的手机号码',
                        duration: 2000,
                        location: 'bottom'
                    });
                    return;
                };
                if (describe == '') {
                    api.toast({
                        msg: '反馈问题不能为空',
                        duration: 2000,
                        location: 'bottom'
                    });
                }
                api.ajax({
                    url: 'http://anhezuche.eacase.com/index.php/index/myindex/feedback',
                    method: 'post',
                    data: {
                        values: {
                            token: token,
                            tel: that.tel,
                            describe: that.describe,
                        },
                    }
                }, function(ret, err) {
                    if (ret.code == 0) {
                        api.toast({
                            msg: '提交成功',
                            duration: 2000,
                            location: 'bottom'
                        });
                        setTimeout('api.closeWin()', '1000');
                    } else {
                        console.log(JSON.stringify(err));
                    }
                });
            }
        }
    })
}
