// 获取头肯
apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});
	//cid
	var cid = api.getPrefs({
		key: 'cid',
		sync: true
	});
	// 获取优则应佛
	var userInfo=api.getPrefs({
		key:'userInfo',
		sync:true
	})
	var userid=JSON.parse(userInfo).id
	// alert(userid)
	var app = new Vue({
		el: '#app',
		name: 'chat',
		data: {
      czBottomnav:[
				{
          src:'../../image/cz_sy2.png',
					xzsrc:'../../image/cz_sy1.png',
          title:'首页',
					url:'../../html/Y_cz/cz_home.html'
        },
        {
          src:'../../image/cz_dd2.jpg',
					xzsrc:'../../image/cz_dd1.png',
          title:'订单',
					url:'../../html/Y_cz/Y_dd.html'
        },
        {
          src:'../../image/cz_wd2.png',
					xzsrc:'../../image/cz_wd1.png',
          title:'我的',
					url:'../../html/Y_cz/Y_grzx.html'
        }
			],//底部导航
			auditstate: '',
			htype:1,
			root: root,
			orderList:[],//订单列表
			pageNumber:1,//页码
			tabList: [{
				name: '全部',
			}, {
				name: '进行中',
			}, {
				name: '已完成',
			},{
        name: '已取消'
      }]
		},
		mounted: function() {
			var that = this
			setStatusBar(document.querySelector(".Y_cz_sy_head"));
			api.setStatusBarStyle({
				style: 'dark',
				// dark 状态栏字体为黑色，适用于浅色背景
				// light 状态栏字体为白色，适用于深色背景
			});
			//请求初始数据
			that.orderList=[];
			that.pagelist();
			api.addEventListener({
	    name:'scrolltobottom',
	    extra:{threshold:0}
			}, function(ret1, err1){
			    that.pagelist();
			});
			// 回调
			// this.events();
		},
		methods: {
			//请求事件
			pagelist: function() {
				//定义请求参数
				var setdata={token: token,uid: userid,page:this.pageNumber,size:'4',type:this.htype,cid:cid}
				console.log(JSON.stringify(setdata));
				var that=this
				//请求订单列表接口
				czOrderapi('chezhuorder',setdata,function(ret){
					if(ret.data.length==0){
						api.toast({msg:'暂无更多数据'})
					}else {
						that.orderList=that.orderList.concat(ret.data);
					}
				});
				this.pageNumber=this.pageNumber+1
			},
			// tab切换
			button: function(index) {
				this.orderList=[];
				this.pageNumber=1
				this.htype=index+1
				this.pagelist();
			},
      // 底部点击
			 tiaozhuan:function(path,test){
				api.openWin({
				    name: 'page1',
				    url: path,
				    pageParam: {
				        id: test
				    }
				});
			},
			fanhui: function() {
				api.closeWin();
			},
			tjcl: function() {
				api.openWin({
					name: 'page1',
					url: '../../html/Y_cz/Y_tjcl.html',
					pageParam: {
						name: 'test'
					}
				});
			},

		},
		filters: {
			//月日
		  date: function (value) {
		    if (!value) return ''
				    var time = new Date(value);
				    var month = time.getMonth()+1;
				    var date = time.getDate();
				    return month+'月'+date+'日';
		  },
			//周
		  week: function (value) {
		    if (!value) return ''
		    var time = new Date(value);
				var week=''
				if(time.getDay()==0){
					week= "周日"
				}else if (time.getDay()==1) {
					week= "周一"
				}else if (time.getDay()==1) {
					week= "周二"
				}else if (time.getDay()==1) {
					week= "周三"
				}else if (time.getDay()==1) {
					week= "周四"
				}else if (time.getDay()==1) {
					week= "周五"
				}else if (time.getDay()==1) {
					week= "周六"
				}
		    return week;
		  },
			//时分
		  htime: function (value) {
		    if (!value) return ''
				var time = new Date(value);
		    return time.getHours() +':'+ time.getMinutes();
		  }
		},
	})
}
