apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});
	var userCid = api.getPrefs({
		key: 'userCid',
		sync: true
	});
	var app = new Vue({
		el: "#app",
		data: {
			qxzm: "../../image/cz/xszzp.png",
			sxzm: "../../image/cz/xszzp.png",
			root:root,
		},
		created: function() {
			var that=this;
			api.ajax({
					url: root+'/index/chezhu/getjqx',
					method: 'post',
					data: {
							values: {
									token:token,
									cid:userCid,
							},
					}
			},function(ret, err){
					if (ret) {
						if(ret.zmimg==null){
							that.qxzm="../../image/cz/xszzp.png"
						}else{
							that.qxzm=that.root+ret.zmimg
						}
						if(ret.fmimg==null){
							that.sxzm="../../image/cz/xszzp.png"
						}else{
							that.sxzm=that.root+ret.fmimg
						}
					} else {
					}
			});
		},
		mounted: function() {
			// 空出手机状态栏位置
			setStatusBar(document.querySelector(".Y_cz_sy_head"));
		},
		methods: {
			// 相机或者选择图片
			uploadSZ: function(e) {
				var that = this;
				api.actionSheet({
					title: '保险图片上传',
					cancelTitle: '取消',
					buttons: ['拍照', '从手机相册选择'],
					style: {
						layerColor: 'rgba（0, 0, 0, 0.4）',
						fontNormalColor: '#222',
						fontPressColor: '#fff',
					}
				}, function(ret, err) {
					if(ret) {
						L_reg_log.getPicture(that, ret.buttonIndex, e);
					}
				});
			},
			// 相机或者选择图片
			// 点击提交上传
			Y_xszzp_tj: function() {
				var that=this;
				api.ajax({
					url: root+'/index/chezhu/upjqx',
					method: 'post',
					data: {
						values: {
							token:token,
							cid:userCid,
						},
						files: {
							zmimg:that.qxzm,
							fmimg:that.sxzm
						}
					}
				}, function(ret, err) {
					if(ret) {
						if(ret.code==404){
							api.toast({
									msg: '修改时请重新上传两张图片',
									duration: 2000,
									location: 'bottom'
							});
									return;
						}
						if(ret.code==10001){
							api.toast({
									msg: '上传失败，请检查网络设置',
									duration: 2000,
									location: 'bottom'
							});
							return;
						}
						if(ret.code==10000){
							api.toast({
									msg: '上传成功',
									duration: 2000,
									location: 'bottom'
							});
						}

					} else {
						api.toast({
								msg: '上传失败，请检查网络设置',
								duration: 2000,
								location: 'bottom'
						});
					}
				});
			},
			// 点击提交上传
			// 返回上一级
			fanhui: function() {
				api.closeWin();
			},
			// 返回上一级
		}
	})
}
