apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});
	var userCid = api.getPrefs({
		key: 'userCid',
		sync: true
	});
	var app = new Vue({
		el: "#app",
		data: {
			root:root,
			sfzzm: "../../image/cz/xszzp.png",
			sfzfm: "../../image/cz/xszzp.png",
		},
		created: function() {
			var that=this;

			api.ajax({
				// 数据回显请求
					url: root+'/index/chezhu/getsfz',
					method: 'post',
					data: {
							values: {
									token:token,
									cid:userCid,
							},
					}
			},function(ret, err){
				// alert(JSON.stringify(ret))
					if (ret) {
						if(ret.zmimg==null){
							that.sfzzm="../../image/cz/xszzp.png"
						}else{
							that.sfzzm=that.root+ret.zmimg
						}
						if(ret.fmimg==null){
							that.sfzfm="../../image/cz/xszzp.png"
						}else{
							that.sfzfm=that.root+ret.fmimg
						}
					} else {
					}
			});
		},
		mounted: function() {
			// 空出手机状态栏位置
			setStatusBar(document.querySelector(".Y_cz_sy_head"));
			// 空出手机状态栏位置
		},
		methods: {
			// 相机或者选择图片
			uploadSZ: function(e) {
				var that = this;
				api.actionSheet({
					title: '身份证证照片上传',
					cancelTitle: '取消',
					buttons: ['拍照', '从手机相册选择'],
					style: {
						layerColor: 'rgba（0, 0, 0, 0.4）',
						fontNormalColor: '#222',
						fontPressColor: '#fff',
					}
				}, function(ret, err) {
					if(ret) {
						// 	alert("2"+e+"1")
						//  alert(ret.buttonIndex)
						L_reg_log.getPicture(that, ret.buttonIndex, e);
					}
				});
			},
			// 相机或者选择图片
			// 点击提交上传.
			Y_xszzp_tj: function() {
				var that=this;
				api.ajax({
					url: root+'/index/chezhu/upsfz',
					method: 'post',
					data: {
						values: {
						token:token,
						cid:that.uid,

						},
						files: {
							zmimg:that.sfzzm,
							fmimg:that.sfzfm
						}
					}
				}, function(ret, err) {
					if(ret) {
						if(ret.code==404){
							api.toast({
									msg: '修改时请重新上传两张图片',
									duration: 2000,
									location: 'bottom'
							});
							return;
							
						}
						if(ret.code==10001){
							api.toast({
									msg: '上传失败，请检查网络设置',
									duration: 2000,
									location: 'bottom'
							});
							return;
						}
						if(ret.code==10000){
							api.toast({
									msg: '上传成功',
									duration: 2000,
									location: 'bottom'
							});
						}
					} else {
						api.toast({
						    msg: '上传失败，请检查网络设置',
						    duration: 2000,
						    location: 'bottom'
						});
					}
				});
			},
			// 点击提交上传

			// 返回上一级
			fanhui: function() {
				api.closeWin();
			},
			// 返回上一级
		}
	})
}
