apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});
	var cid = api.getPrefs({
		key: 'cid',
		sync: true
	});
	var app = new Vue({
		el: "#app",
		data: {
			txlist:[],
		},
		mounted: function() {
			var that = this;
			api.setStatusBarStyle({
				style: 'dark',              // dark 状态栏字体为黑色，适用于浅色背景
																		// light 状态栏字体为白色，适用于深色背景
			});
			setStatusBar(document.querySelector(".Y_cz_sy_head"));
			// ajax调数据
			api.ajax({
			    url: 'http://anhezuche.eacase.com/index/chezhu/txmx',
			    method: 'post',
			    data: {
			        values: {
			            token:token,
									// cid:cid传车主id
									cid:cid
			        }
			    }
			},function(ret, err){
			    if (ret) {
							that.txlist = ret;
							console.log(JSON.stringify(that.txlist));
			    } else {
			      	console.log( JSON.stringify( err ) );
							console.log('获取数据失败！');
			    }
			});
		},
		methods: {
			fanhui: function() {
				api.closeWin();
			},
		}
	})
}
