apiready = function() {

	var dialogBox = api.require('dialogBox');
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});
	// alert(token)
	var have=api.getPrefs({
		key:'k',
		sync: true
	})
	var home = new Vue({
		el: '#home-con',
		data: {
			root:root,
			have:'',
			swiper: {},
			menuList: [{
				name: '自助找车',
				icon: '&#xe6b7;',
				url: 'Y_zzzc.html'
			}, {
				name: '超值长租',
				icon: '&#xe77e;',
				url: 'Y_czcz.html'
			}, {
				name: '共享租车',
				icon: '&#xe600;',
				url: 'L_sharecar.html'
			}],
			jxycList: [],
			gxcList: [],
			hqcList: [],
			path: [],
			root:root,
			tjAd:{}
		},
		filters: {
			frameCp: function(val) {
				var data = val.split('');
				for(var i = 0; i < data.length; i++) {
					if(i > 2 && i < 5) {
						data[i] = '*';
					};
				};
				return data.join('');
			}
		},
		created: function() {
			api.showProgress({
					style: 'default',
					animationType: 'fade',
					title: '加载中...',
					text:''
			});
			var that = this;
			if(have==6){
			}else{
				// 优惠券
				setTimeout(function(){
					dialogBox.discount({
							rect: {
									w: 260,
									h: 140
							},
							styles: {
									bg: '#000',
									image: {
											path: '../image/a03.png',
											marginB: 400
									},
									cancel: {
											icon: '../image/close.png',
											w: 50,
											h: 50,
											 marginB: 320,
									}
							}
					}, function(ret) {
								that.have=6;
								api.setPrefs({
										key: 'k',
										value: that.have
								});

							// alert(JSON.stringify(ret));
							if (ret.eventType == 'cancel') {
									dialogBox.close({
											dialogName: 'discount'
									});
							};
							if(ret.eventType=='image'){
								api.openWin({
										name: 'Y_wdqb',
										url: './Y_wdqb.html',
										pageParam: {
												name: 'test'
										}
								});
								dialogBox.close({
										dialogName: 'discount'
								});
							}
					});
				},1500)

				// 优惠券
			}
			api.ajax({
				url: 'http://anhezuche.eacase.com/index.php/index/myindex/index',
				dataType: 'json',
				method: 'post',
				data: {
					values: {
						token: token
					}
				}
			}, function(ret, err) {
				if(ret) {
					if(ret.code == 0) {
						that.gxcList = ret.gexing;
						that.jxycList = ret.carinfo;
						that.hqcList = ret.marrycar;
						that.path = ret.carpic;
						var pathsList = ret.carpic;
						var paths = [];
						for(var i = 0; i < pathsList.length; i++) {
							paths.push(pathsList[i].src);
						};
						// that.getSwiperData(paths);


					}
				} else {
					console.log(JSON.stringify(err))
				};
				api.hideProgress();
			});
		},
		mounted: function() {
			// //设置轮播图
			// this.swiper = setSwiper({
			// 	x: $api.offset(this.$refs.homeSwiper).l,
			// 	y: $api.offset(this.$refs.homeSwiper).t,
			// 	w: $api.offset(this.$refs.homeSwiper).w,
			// 	h: $api.offset(this.$refs.homeSwiper).h
			// }, {
			// 	paths: ['widget://res/banner1.png']
			// });
			this.setSwiper();
		},
		methods: {
			//轮播图
			setSwiper(){
				var mySwiper = new Swiper ('.swiper-container', {
			    // loop: true, // 循环模式选项
			    // 如果需要分页器
			    pagination: {
			      el: '.swiper-pagination',
			    },
					observer:true,//修改swiper自己或子元素时，自动初始化swiper
  				observeParents:true//修改swiper的父元素时，自动初始化swiper
				});
			},
			//获取首页数据
			updated:function(){
				var that=this;
				api.ajax({
					url: root+'/index.php/index/myindex/index',
					dataType: 'json',
					method: 'post',
					data: {
						values: {
							token: token
						}
					}
				}, function(ret, err) {
					if(ret) {
						if(ret.code == 0) {
							that.gxcList = ret.gexing;
							that.jxycList = ret.carinfo;
							that.hqcList = ret.marrycar;
							that.path = ret.carpic;
							that.tjAd=ret.tjpic;
							// var pathsList = ret.carpic;
							// var paths = [];
							// for(var i = 0; i < pathsList.length; i++) {
							// 	paths.push(root+pathsList[i].pic);
							// };
							// that.setSwiperData(paths);
						}
					} else {
						console.log(JSON.stringify(err))
					};
					api.hideProgress();
					api.refreshHeaderLoadDone();
				});
			},
			// 详情页跳转
      jxDetail:function(id){
        // alert(id)
        api.openWin({
            name: '4',
            url: './Y_clxq.html',
            pageParam: {
              id:id,
            }
        });
      },
      gxDetail:function(id){
        // alert(id)
        api.openWin({
            name: '4',
            url: './Y_clxq.html',
            pageParam: {
              id:id,
            }
        });
      },
      hqDetail:function(id){
        // alert(id)
        api.openWin({
            name: '4',
            url: './Y_clxq.html',
            pageParam: {
              id:id,
            }
        });
      },
			guanggao: function() {
				api.openWin({
					name: 'Y_hdym',
					url: './Y_hdym.html',
					pageParam: {
						name: 'test'
					}
				});
			},
			Jumpgx: function(url) {
				api.openWin({
					name: 'menuDetail',
					url: url,
					pageParam: {
						name: 'test'
					}
				});
			},
			setSwiperData: function(paths) {
				this.swiper.reloadData({
					data: {
						paths: paths
					}
				})
			},
			// 精选优车全部
			jxall: function() {
				api.openWin({
					bgColor: '#f9f9f9',
					name: 'L_car_list',
					url: 'L_jxyclist.html',
				});
			},
			// 个性车全部
			gxall: function() {
				api.openWin({
					name: '1',
					url: './L_gxlist.html',
					pageParam: {
						name: 'test'
					}
				});
			},
			// 婚庆租车
			hqall: function() {
				api.openWin({
					name: '3',
					url: './L_hqzcList.html',
					pageParam: {
						name: 'test'
					}
				});
			},
			// 头部导航跳转
			jumpNav: function(url) {
				api.openWin({
					name: '2',
					url: url,
					pageParam: {
						id: 'id'
					}
				});
			},
			// 婚庆租车
			hqall: function() {
				api.openWin({
					name: '3',
					url: './L_hqzclist.html',
					pageParam: {
						name: 'test'
					}
				});
			},
			// 详情页跳转
			jxDetail: function(id) {
				// alert(id)
				api.openWin({
					name: '4',
					url: './Y_clxq.html',
					pageParam: {
						id: id,
					}
				});
			},
			gxDetail: function(id) {
				// alert(id)
				api.openWin({
					name: '4',
					url: './Y_clxq.html',
					pageParam: {
						id: id,
					}
				});
			},
			hqDetail: function(id) {
				// alert(id)
				api.openWin({
					name: '4',
					url: './Y_clxq.html',
					pageParam: {
						id: id,
					}
				});
			},
			//打开外链
			openUrl:function(url){
				var reg = /^((ht)tps?):\/\/[\w\-]+(\.[\w\-]+)+([\w\-.,@?^=%&:\/~+#]*[\w\-@?^=%&\/~+#])?$/;
				// if(!reg.test(url)){
				// 	return;
				// };
				api.openWin({
				    name: 'adWin',
				    url: url
				});
			}
		}
	});
	//设置下拉刷新的样式
	api.setCustomRefreshHeaderInfo({
			bgColor: '#f9f9f9',
	}, function() {
			home.updated();
	});
	api.refreshHeaderLoading();
}
