apiready=function(){
  var orderId=api.pageParam.orderId;
  var token = api.getPrefs({
		key: 'token',
		sync: true
	});
  var userInfo = JSON.parse(
    api.getPrefs({
  		key: 'userInfo',
  		sync: true
  	})
  );
  var app = new Vue({
    el: "#app",
    data: {
      root:config.domain,
      orderId:orderId,
      //上门送取服务
      value: false,
      //取车地点
      checked1: true,
      isBz:true,//是否平台保障
      option: {
        label: 'Option Checkbox',
        value: 'optionValue',
        disabled: false
      },
      qcaddress:'',
      //还车地点
      checked2: false,
      option: {
        label: 'Option Checkbox',
        value: 'optionValue',
        disabled: false
      },
      hcaddress:'',
      //还车地点
      checked3: false,
      option: {
        label: 'Option Checkbox',
        value: 'optionValue',
        disabled: false
      },
      orderInfo:{},
      useName:'',
      usePhone:'',
      note:'',
      carPayInfo:{},
      carInfo:{},
      loaded:false,
      isPay:false,
      cardInfo:{
        id:''
      },
      payType:'微信',
      payTypes:[
        {name:'微信',icon:'&#xe6f9;',color:'#54d867'},
        {name:'支付宝',icon:'&#xe63b;',color:'#54b7f9'}
      ],
      showPayType:false
    },
    watch:{
      isBz:function(val,oldval){
          api.showProgress({
              style: 'default',
              animationType: 'fade',
              title: '提交中...',
              text: ''
          });
          var ono=this.orderInfo.order_code;
          var that=this;
          if(val){
            that.orderInfo.bzf=that.orderInfo.clbzf;
          }else{
            that.orderInfo.bzf=0;
          };
          apiList.upisbzf(ono,token,val,function(data){
            if(data.code==10000){

            }else{
              api.toast({
                  msg: '操作失败',
                  duration: 2000,
                  location: 'bottom'
              });
              that.getOrderDetail();
            };
            api.hideProgress();
          })
      }
    },
    computed:{
      duration:function(){
        var duration=parseInt(this.orderInfo.end_time)*1000-parseInt(this.orderInfo.begin_time)*1000;
        var mins=duration/(1000*60);
        var hours=(mins/60);
        var days=hours/24;
        var obj={
          days:days,
          hours:hours,
          mins:mins
        };
        if(this.endTime==''){
          return '';
        };
        if(mins<60){
          return mins+'分';
        }else if(mins>=60 && mins<1440) {
          if(mins%60==0){
            return hours+'小时'
          }else{
            return parseInt(hours)+'小时'+mins%60+'分'
          };
        }else{
          if(mins%1440==0){
            return mins/1440+'天';
          }else{
            var syMins=mins%1440;
            if(syMins<60){
              return parseInt(days)+'天'+syMins+'分钟'
            }else{
              if(syMins%60==0){
                return parseInt(days)+'天'+syMins/60+'小时';
              }else{
                return parseInt(days)+'天'+parseInt(syMins/60)+'小时'+syMins%60+'分钟';
              };
            };
            //return days.toFixed()+'天'+((mins%1440)/60).toFixed()>0?((mins%1440)/60).toFixed():''+'小时';
          };
        };
      },
      sfje:function(){
        var qsfwf=this.value?parseFloat(this.orderInfo.qcf)+parseFloat(this.orderInfo.scf):0;   //取车、送车服务费
        var jehj=parseFloat(this.orderInfo.jehj) || 0;    //订单金额
        var zzcf=parseFloat(this.orderInfo.zzcf) || 0;    //车辆租金
        var sxf=parseFloat(this.orderInfo.sxf) || 0;      //手续费
        var bzf=parseFloat(this.orderInfo.bzf) || 0;      //保障费
        var yhjJe=parseFloat(this.orderInfo.yhqje) || 0;  //优惠券金额
        var zcyj=parseFloat(this.orderInfo.zcyj) || 0;    //租车押金
        var wzyj=parseFloat(this.orderInfo.wzyj) || 0;    //违章押金
        var sjclzj=zzcf-yhjJe; //车辆实际租金
        sjclzj=sjclzj>0?sjclzj:0;
        var allFy=sjclzj+sxf+bzf+qsfwf; //总费用
        return allFy+zcyj+wzyj;
      }
    },
    filters:{
      frameTime:function(time){
        time=parseInt(time)*1000;
        return formatTime(time);
      }
    },

    created:function(){
      this.getOrderDetail();
    },
    mounted:function(){
      setStatusBar(document.querySelector('.Y_yhj'));
    },
    methods: {
      //选择支付方式
      selectPayType:function(){
        this.showPayType=!this.showPayType;
      },
      selectPay:function(item){
        this.payType=item.name;
      },
      fanhui: function() {
				api.closeWin();
			},
      Y_hetong:function(){
        api.openWin({
            name: 'y_ht1',
            url: './Y_ht1.html',
        });
      },
      getOrderDetail:function(){
        api.showProgress({
            animationType: 'fade',
            title: '加载中...',
            text: ''
        });
        var that=this;
        var id=this.orderId;
        var params={
          uid:0,
          token:token,
          id:id
        };
        apiList.getOrderDetail(params,function(ret){
          if(ret.code==0){
            that.orderInfo=ret.data[0][0];
            that.orderInfo.carpic=that.orderInfo.carpic.split(',');
            that.orderInfo.carpicFirst=that.orderInfo.carpic[0];
            // that.getCarPayInfo();
            // that.getCarInfo();
          };
          api.hideProgress();
          that.loaded=true;
        })
      },
      subOrder:function(){
        var that=this;
        if(this.value){
          if(this.qcaddress==''){
            api.toast({
                msg: '请设置您的取车地址',
                duration: 2000,
                location: 'bottom'
            });
            return;
          };
          if(this.hcaddress==''){
            api.toast({
                msg: '请设置您的还车地址',
                duration: 2000,
                location: 'bottom'
            });
            return;
          };
        }
        if(!this.checked3){
          api.toast({
              msg: '请先同意《和昊出行服务合同》',
              duration: 2000,
              location: 'bottom'
          });
          return;
        };
        if(this.sfje<=0){
          api.toast({
              msg: '支付金额必须大于0',
              duration: 2000,
              location: 'bottom'
          });
          return;
        };
        var money;
        if(this.orderInfo.order_type=='首租'){
          money=this.sfje;
        }else if(this.orderInfo.order_type=='续租'){
          money=orderInfo.zzcf
        };
        var payType=this.payType;
        // var params={
        //   'orderid':this.orderInfo.orderid,//订单id
        //   'order_code':this.orderInfo.order_code,//订单号
        //   'money':this.sfje*100,//订单金额
        //   // 'money':1,
        //   'product':this.orderInfo.brand_name+this.orderInfo.series_name,//订单名称
        //   'acquire_address':this.qcaddress,//取车地址
        //   'send_address':this.hcaddress,//送车地址
        //   'note':this.note,//备注
        // };
        this.useCard(function(){
          if(payType=='微信'){
              var params={
                'orderid':that.orderInfo.orderid,//订单id
                'order_code':that.orderInfo.order_code,//订单号
                'money':money*100,//订单金额
                // 'money':1,
                'product':that.orderInfo.brand_name+that.orderInfo.series_name,//订单名称
                'acquire_address':that.orderInfo.acquire_address || '',//取车地址
                'send_address':that.send_address || '',//送车地址
                'note':that.orderInfo.note || '',//备注
              };
              that.pay(params);
          }else if(payType=='支付宝'){
              var params={
                orderid:that.orderInfo.orderid,//订单id
                token:token,
                order_sn:that.orderInfo.order_code,
                totle_sum:money,
                name:that.orderInfo.brand_name
              };
              that.aliPay(params);
          };
        });
      },
      //支付宝支付
      aliPay:function(params){
        aliPay.created(params,function(data){
          if(data.code==0){
            if(data.info.order_state=='已支付'){
              api.toast({
                  msg: '已支付',
                  duration: 2000,
                  location: 'bottom'
              });
              api.sendEvent({
                  name: 'payOk',
              });
              setTimeout(function(){
                api.closeToWin({
                    name: 'index'
                });
              },1000);
            }else{
              api.toast({
                  msg: '未支付',
                  duration: 2000,
                  location: 'bottom'
              });
            };
          };
        })
      },
      //微信支付
      pay:function(params){
        var wp=WechatPay.createNew(params,function(data){
            if(data.code==0){
              if(data.info.order_state=='已支付'){
                api.toast({
                    msg: '已支付',
                    duration: 2000,
                    location: 'bottom'
                });
                api.sendEvent({
                    name: 'payOk',
                });
                setTimeout(function(){
                  api.closeToWin({
                      name: 'index'
                  });
                },1000);
              }else{
                api.toast({
                    msg: '未支付',
                    duration: 2000,
                    location: 'bottom'
                });
              };
            };
        });
      },
      getCarPayInfo:function(){
        var that=this;
        var params={
          token:token,
          carid:this.orderInfo.car_id,
          sdate:formatTime(this.orderInfo.begin_time),
          edate:formatTime(this.orderInfo.end_time)
        };
        apiList.getCarPayInfo(params,function(ret){
          if(ret.code==0){
            that.carPayInfo=ret.data[0][0];
          };
        });
      },
      getCarInfo:function(){
        var that=this;
        var params={
          token:token,
          carid:this.orderInfo.car_id
        };
        apiList.getCarInfo(params,function(ret){
          if(ret.code==0){
            ret.data.carpic=ret.data.carpic.split(',');
            ret.data.carpicFirst=ret.data.carpic[0];
            that.carInfo=ret.data;
          }
        });
      },
      openCard:function(){
        api.openWin({
          name: '优惠券',
          url: './Y_wdqb.html',
          animation:{
            type:'movein',
            subType:'from_bottom'
          },
          pageParam:{
            form:'qrdd',
            carid:this.orderInfo.id,
            orderCode:this.orderInfo.order_code
          }
        });
      },
      useCard:function(callback){
        var that=this;
        var id=this.cardInfo.id;
        api.showProgress({
            style: 'default',
            animationType: 'fade',
            title: '查询中...',
            text: ''
        });

        var orderInfo=this.orderInfo;
        var params={
          ono:orderInfo.order_code,
          couid:id || 0,
          qcdz:this.qcaddress,
          scdz:this.hcaddress,
          bz:this.note,
          token:token
        };
        apiList.useCard(params,function(ret){
          if(ret.code==0){
            // that.getOrderDetail();
            callback();
          };
          api.hideProgress();
        });
      }
    }
  });
  //监听优惠券选择事件
  api.addEventListener({
    name: 'selectedCard'
  },function(ret, err){
    var card=ret.value.card;
    app.orderInfo.yhqje=card.cou_money;
    app.cardInfo=card;
  });
  //监听返回键
  api.addEventListener({
      name: 'keyback'
  }, function(ret, err){
    if(!app.isPay){
      api.confirm({
          title: '警告',
          msg: '当前订单未支付确认退出吗？',
          buttons: ['确定', '取消']
      }, function(ret, err){
          if(ret.buttonIndex==1){
            api.closeWin();
          };
      });

    }
  });
}
