var aliPay={
  /**
   * 支付宝支付构造函数
   * @param {Object} orderInfo 订单信息
   * @param {Function} callback 回调函数
   */
  created:function(orderInfo,callback){
    var params={
      token:orderInfo.token,
      order_sn:orderInfo.order_sn,
      totle_sum:orderInfo.totle_sum,
      name:orderInfo.name
    };
    var orderInfoString='';
    var aliPayPlus = api.require('aliPayPlus');
    apiList.aliPayInfo(params,function(ret){
      console.log(JSON.stringify(ret));
      if(ret.code==0){
        orderInfoString=ret.data;
        aliPayPlus.payOrder({
          orderInfo:orderInfoString
        },function(ret,err){});
      }
    });
    //
    api.addEventListener({
        name: 'resume'
    }, function(ret, err){
        var id=orderInfo.order_sn;
        api.showProgress({
            style: 'default',
            animationType: 'fade',
            title:'',
            text: '查询支付状态中...',
            modal: true
        });
        apiList.searchOrderStatus(id,function(data){
          callback(data);
          // api.removeEventListener({
          //     name: 'resume'
          // });
          api.hideProgress();
        });
    });
  }
};
