var WechatPay={
  /**
   * 微信支付构造函数
   * @param  {Object} params   订单信息
   * @param {Function} callback 回调函数
   */
  createNew:function(params,callback){
    params.money=params.money;
    var wechatPay={
      pay:function(){}
    };
    var wxPay=api.require('wxPay');
    //获取微信预支付标识prepay_id
    apiList.getUnifiedorder(params,function(ret){
      if(ret.code=='0'){
        wechatPay.info=ret.info;
        //调起支付
        wechatPay.pay=function(){
          wxPay.payOrder({
                orderId: wechatPay.info.prepayid,
                mchId: '1524737041',
                nonceStr: wechatPay.info.noncestr,
                timeStamp: wechatPay.info.timestamp,
                package: 'Sign=WXPay',
                sign: wechatPay.info.sign
            });
        };
        wechatPay.pay();
      };
    });
    //监听回到前台
    api.addEventListener({
        name: 'resume'
    }, function(ret, err){
        var id=params.order_code;
        api.showProgress({
            style: 'default',
            animationType: 'fade',
            title:'',
            text: '查询支付状态中...',
            modal: true
        });
        apiList.searchOrderStatus(id,function(data){
          callback(data);
          // api.removeEventListener({
          //     name: 'resume'
          // });
          api.hideProgress();
        });
    });
    return wechatPay;
  }
};
