apiready=function(){
  var token = api.getPrefs({
    key: 'token',
    sync: true
  });
  var app = new Vue({
    el:"#app",
    data:{
      tabsParam:['个人','公司'],
      nowIndex:0,
      title:'',
      money:'',
      recipients:'',
      contact_way:'',
      address:'',
      duty_paragraph:'',
    },
    mounted:function(){
      setStatusBar(document.querySelector(".L_fp_head"))
    },
    methods:{
      click1:function(){
        var that = this;
        var title=that.title;
        var money=that.money;
        var recipients=that.recipients;
        var contact_way=that.contact_way;
        var address=that.address;
        if (title == "") {
          api.alert({
            title:"提示",
            msg:'发票抬头不能为空'
          })
          return;
        }
        if (money == "") {
          api.alert({
            title:"提示",
            msg:'发票金额不能为空'
          })
          return;
        }
        if (recipients == "") {
          api.alert({
            title:"提示",
            msg:'收件人不能为空'
          })
          return;
        }
        if (contact_way == "") {
          api.alert({
            title:"提示",
            msg:'联系方式不能为空'
          })
          return;
        }else if(!isPhone(contact_way)){
          api.alert({
              title:'提示',
              msg: '请输入正确的手机号码',
          });
          return;
        };
        if (address == "") {
          api.alert({
            title:"提示",
            msg:'联系地址不能为空'
          })
          return;
        }
        api.ajax({
            url: 'http://anhezuche.eacase.com/index.php/index/myindex/invoice',
            method: 'post',
            data: {
                values: {
                  token:token,
                  type:"个人",
                  title:that.title,
                  money:that.money,
                  recipients:that.recipients,
                  contact_way:that.contact_way,
                  address:that.address,
                },
            }
        },function(ret, err){
            if (ret) {
              if (ret.code=="0") {
                api.toast({ msg: '提交成功', duration: 2000, location: 'bottom' });
                that.nowIndex=index;
                that.title='',
      		      that.money='',
      		      that.recipients='',
      		      that.contact_way='',
      		      that.address='',
      		      that.duty_paragraph=''
                api.openWin({
                    name: 'index',
                    url: 'index.html',
                    pageParam: {
                        name: 'test'
                    }
                });
              }
            } else {
              api.toast({ msg: '提交失败', duration: 2000, location: 'bottom' });
            }
        });
      },
      click2:function(){
        var that = this;
        var title=that.title;
        var money=that.money;
        var recipients=that.recipients;
        var contact_way=that.contact_way;
        var address=that.address;
        var duty_paragraph=that.duty_paragraph;
        if (title == "") {
          api.alert({
            title:"提示",
            msg:'发票抬头不能为空'
          })
          return;
        }
        if (money == "") {
          api.alert({
            title:"提示",
            msg:'发票金额不能为空'
          })
          return;
        }
        if (recipients == "") {
          api.alert({
            title:"提示",
            msg:'收件人不能为空'
          })
          return;
        }
        if (contact_way == "") {
          api.alert({
            title:"提示",
            msg:'联系方式不能为空'
          })
          return;
        }else if(!isPhone(contact_way)){
          api.alert({
              title:'提示',
              msg: '请输入正确的手机号码',
          });
          return;
        };
        if (address == "") {
          api.alert({
            title:"提示",
            msg:'联系地址不能为空'
          })
          return;
        }
        if(duty_paragraph == ""){
            api.alert({
              title:'提示',
              msg:'公司纳税人识别号不能为空'
            })
        }
        api.ajax({
            url: 'http://anhezuche.eacase.com/index.php/index/myindex/invoice',
            method: 'post',
            data: {
                values: {
                  token:token,
                  type:"公司",
                  title:that.title,
                  money:that.money,
                  recipients:that.recipients,
                  contact_way:that.contact_way,
                  address:that.address,
                  duty_paragraph:that.duty_paragraph,
                },
            }
        },function(ret, err){
            if (ret) {
              if (ret.code=="0") {
                api.toast({ msg: '提交成功', duration: 2000, location: 'bottom' });
                that.title='',
      		      that.money='',
      		      that.recipients='',
      		      that.contact_way='',
      		      that.address='',
      		      that.duty_paragraph=''
                api.openWin({
                    name: 'index',
                    url: './index.html',
                    pageParam: {
                        name: 'test'
                    }
                });
              }
            } else {
              api.toast({ msg: '提交失败', duration: 2000, location: 'bottom' });
            }
        });
      },
      toggletabs:function(index){
          var that = this;
          that.nowIndex=index;
          that.title='',
		      that.money='',
		      that.recipients='',
		      that.contact_way='',
		      that.address='',
		      that.duty_paragraph=''
      },
      fanhui:function(){
        var that = this;
        api.closeWin();
        that.title='',
        that.money='',
        that.recipients='',
        that.contact_way='',
        that.address='',
        that.duty_paragraph=''

      }
    },
  })
}
