apiready = function() {
    var app = new Vue({
        el: '#app',
        data: {
            regPhone: '',
            regCode: '',
            regPassword: '',
            regPassword2: '', //确认密码
            sendCode: 'true',
            auth_time: 0,
            yqcode:''
        },
        methods: {
          guanbi:function(){
            api.closeWin();

          },
            hetong: function() {
                api.openWin({
                    name: 'hetong',
                    url: './Y_ht.html',
                    pageParam: {
                        name: 'test'
                    }
                });

            },
            //获取验证码
            getCode: function() {
                var that = this;
                var phone = that.regPhone;
                if (!isPhone(phone)) {
                    api.toast({
                        msg: '请输入正确的手机号',
                        duration: 2000,
                        location: 'bottom'
                    });
                } else {
                    that.sendCode = false;
                    that.auth_time = 60;
                    var auth_timetimer = setInterval(function(){
                        that.auth_time--;
                        if (that.auth_time <= 0) {
                            that.sendCode = true;
                            clearInterval(auth_timetimer);
                        }
                    }, 1000)
                    L_reg_log.getCode(this, function(data) {

                        if (data.code = "0") {
                            api.toast({
                                msg: '验证码发送成功',
                                duration: 2000,
                                location: 'bottom'
                            });
                        } else if (data.code = "2") {
                            api.toast({
                                msg: '手机号获取失败',
                                duration: 2000,
                                location: 'bottom'
                            });
                        }
                    })
                }
            },
            // 注册按钮提交事件
            reg: function() {
                var that = this;
                var phone = that.regPhone;
                var code = that.regCode;
                var password = that.regPassword;
                var password2 = that.regPassword2;
                // alert(that.yqcode)
                if (!isPhone(phone)) {
                    api.toast({
                        msg: '请输入正确的手机号',
                        duration: 2000,
                        location: 'bottom'
                    });
                    return;
                }
                if (code == '') {
                    api.toast({
                        msg: '请输入验证码',
                        duration: 2000,
                        location: 'bottom'
                    });
                    return;
                }
                if (password == '') {
                    api.toast({
                        msg: '请输入密码',
                        duration: 2000,
                        location: 'bottom'
                    });
                    return;
                }else if(password.length < 6){
                  api.toast({
                      msg: '请输入6位以上的密码',
                      duration: 2000,
                      location: 'bottom'
                  });
                  return;
                }
                if(password != password2){
                  api.toast({
                      msg: '俩次输入的密码不一致',
                      duration: 2000,
                      location: 'bottom'
                  });
                  that.regPassword = '';
                  that.regPassword2 = '';
                  return;
                }
                L_reg_log.reg(this, function(data) {
                    // var data=JSON.stringify( data )
                    // return;
                    // alert(data)
                    if (data.code == "0") {
                        api.toast({
                            msg: '注册成功',
                            duration: 2000,
                            location: 'bottom'
                        });
                        setTimeout(function(){
                          api.closeWin();
                        },1000);
                    } else if(data.code=='108'){
                      api.toast({
                          msg: '注册码不存在',
                          duration: 2000,
                          location: 'bottom'
                      });
                    }else {
                        api.toast({
                            msg: data.msg,
                            duration: 2000,
                            location: 'bottom'
                        });

                    }
                })
            }
        },
    })
}


// var codeBtn = document.getElementById("codeBtn");
// codeBtn.innerText = "获取验证码";
// codeBtn.disabled = true;
// var timer = null;
// var time = 5;
// timer = setInterval(function() {
//     console.log(time);
//     if (time <= 0) {
//         codeBtn.innerText = "";
//         codeBtn.innerText = "重新发送";
//         codeBtn.disabled = false;
//         clearInterval(timer);
//     } else {
//         codeBtn.disabled = true;
//         codeBtn.innerText = "";
//         codeBtn.innerText = "剩余" + (time) + "秒";
//         time--;
//     }
// }, 1000)
