apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});

	var app = new Vue({
		el: "#app",
		data: {
			name: "",
			chepai: "",
			address: "",
			year: "",
			uid: "",
			shijian: "",
		},
		mounted: function() {
			setStatusBar(document.querySelector(".Y_cz_sy_head"));
			var that = this;
			api.ajax({
				url: 'http://anhezuche.eacase.com/index/chezhu/getuid',
				method: 'post',
				data: {
					values: {
						token: token,
					}
				}
			}, function(ret, err) {
				if(ret) {
					that.uid = ret.uid;
				} else {}
			});

		},
		methods: {
			// 返回按钮
			fanhui: function() {
				api.closeWin();
			},
			// 返回按钮
			// 日期选择
			shijian: function() {
				var that = this;
				var shijian = that.shijian;
				api.openPicker({
					type: 'date_time',
					date: '2014',
					title: '选择时间'
				}, function(ret, err) {
					if(ret) {
						shijian: that.shijian;
						alert(shijian)
					}
					else {
						//  alert( JSON.stringify( err ) );
					}
				});
			},
			// 日期选择
			cz_tj: function() {
				alert(1)
				var that = this;
				var name = that.name;
				var chepai = that.chepai;
				var address = that.address;
				var year = that.year;
				var uid = that.uid;

				// 非空判断
				if(name == "") {
					api.toast({
						msg: '请输入真实姓名',
						duration: 2000,
						location: 'bottom'
					});
					return;
				}
				if(chepai == "") {
					api.toast({
						msg: '请输入真实车牌号',
						duration: 2000,
						location: 'bottom'
					});
					return;
				}
				if(address == "") {
					api.toast({
						msg: '请输入交车地址',
						duration: 2000,
						location: 'bottom'
					});
					return;
				}
				if(year == "") {
					api.toast({
						msg: '请选择行驶证注册年份',
						duration: 2000,
						location: 'bottom'
					});
					return;
				}
				// 非空判断
				// ajax提交数据
				api.ajax({
					url: 'http://anhezuche.eacase.com/index/chezhu/addchezhu',
					method: 'post',
					data: {
						values: {
							token: token,
							name: that.name,
							chepai: that.chepai,
							address: that.address,
							year: that.year,
							uid: that.uid,
						}
					}
				}, function(ret, err) {
					if(ret) {
						// alert("成功")
						// alert( JSON.stringify( ret ) );
					} else {
						// alert("失败")
						// alert( JSON.stringify( err ) );
					}
				});
				// ajax提交数据
			},
		}
	})
}