apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});
	var oid = api.getPrefs({
		key: 'oid',
		sync: true
	});

	var app = new Vue({
		el: "#app",
		data: {
			zcje: '', //车辆租金
			acquire_send_money: '', //取送车服务费
			car_deposit: '', //租车押金
			deduction_money: '', //优惠券抵扣金额（优惠）
			service_charge: '', //手续费
			safeguard_money: '', //平台保障
			illegal_deposit: '', //违章押金
			pay_money: '' //实付款
		},
		mounted: function() {
			setStatusBar(document.querySelector(".Y_cz_sy_head"));
			api.setStatusBarStyle({
				style: 'dark',
				// dark 状态栏字体为黑色，适用于浅色背景
				// light 状态栏字体为白色，适用于深色背景
			});
			console.log(api.pageParam.id);
			// ajax
			var that = this;
			api.ajax({
				url: 'http://anhezuche.eacase.com/index.php/index/order/chezhuorderdetails',
				method: 'post',
				data: {
					values: {
						token: token,
						oid: api.pageParam.id
					}
				}
			}, function(ret, err) {
				if(ret) {
					console.log(JSON.stringify(ret));
					// alert(ret);
					that.zcje = ret.data.zcje;//车辆租金
					that.acquire_send_money = ret.data.acquire_send_money;//取送车服务费
					that.car_deposit = ret.data.car_deposit;//租车押金
					that.deduction_money = ret.data.deduction_money;//优惠券抵扣金额（优惠）
					that.service_charge = ret.data.service_charge;//手续费
					that.safeguard_money = ret.data.safeguard_money;//平台保障
					that.illegal_deposit = ret.data.illegal_deposit;//违章押金
					that.pay_money = ret.data.total_money;//实付款
				} else {
					console.log(JSON.stringify(err));
				}
			});

		},
		methods: {
			fanhui: function() {
				api.closeWin();
			},
		}
	})
}
