apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});
	console.log("这是token："+token);
	var cid = api.getPrefs({
		key: 'cid',
		sync: true
	});
	console.log("这是cid："+cid);
	var app = new Vue({
		el: "#app",
		data: {
			name: '',
			code: '',
			phone: '',
			money: '',
		},
		mounted: function() {
			api.setStatusBarStyle({
				style: 'dark',              // dark 状态栏字体为黑色，适用于浅色背景
																		// light 状态栏字体为白色，适用于深色背景
			});
			setStatusBar(document.querySelector(".Y_cz_sy_head"));
		},
		methods: {
			// 点击提交按钮
			txsqtj: function() {
				var that = this;
				if(that.name == "" || that.name == null) {
					api.toast({
						msg: '请输入持卡人姓名',
						duration: 2000,
						location: 'bottom'
					});
				} else if(that.code == "" || that.code == null) {
					api.toast({
						msg: '请输入持卡人银行卡号',
						duration: 2000,
						location: 'bottom'
					});
				} else if(that.phone == "" || that.phone == null) {
					api.toast({
						msg: '请输入持卡人手机号',
						duration: 2000,
						location: 'bottom'
					});
				} else if(that.money == "" || that.money == null) {
					api.toast({
						msg: '请输入提现金额',
						duration: 2000,
						location: 'bottom'
					});
				}

				api.ajax({
					url: 'http://anhezuche.eacase.com/index/chezhu/shenqing',
					method: 'post',
					data: {
						values: {
							token: token,
							cid: cid,
							name: that.name,
							code: that.code,
							phone: that.phone,
							money: that.money,
						}
					}
				}, function(ret, err) {
					if(ret.code == 10000) {
						api.toast({
							msg: '提交成功',
							duration: 2000,
							location: 'bottom'
						});
					} else {
						console.log(JSON.stringify(err));
					}
				});
				console.log(" 持卡人: "+that.name);
				console.log(" 持卡人银行卡号: "+that.code);
				console.log(" 持卡人手机号: "+that.phone);
				console.log(" 提现金额: "+that.money);
			},
			// 跳转提现明细
			txmx: function() {
				api.openWin({
					name: 'page1',
					url: './Y_txmx.html',
					pageParam: {
						name: 'test'
					}
				});
			},
			// 返回上一页
			fanhui: function() {
				api.closeWin();
			},
		}
	})
}
