apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});
	var cid = api.getPrefs({
		key: 'cid',
		sync: true
	});
	var app = new Vue({
		el: '#app',
		name: 'chat',
		data: {
			auditstate: '',
			root: root,
			car: [],
			div3: true,
			tabList: [{
				name: '全部',
			}, {
				name: '已审核',
			}, {
				name: '待审核',
			}]
		},
		mounted: function() {
			var that = this
			setStatusBar(document.querySelector(".Y_cz_sy_head"));
			api.setStatusBarStyle({
				style: 'dark',
				// dark 状态栏字体为黑色，适用于浅色背景
				// light 状态栏字体为白色，适用于深色背景
			});
			// 回调
			this.events();
		},
		methods: {
			fanhui: function() {
				api.closeWin();
			},
			tjcl: function() {
				api.openWin({
					name: 'p',
					url: '../../html/Y_cz/Y_tjcl.html',
					pageParam: {
						name: 't'
					}
				});
			},
			events: function() {
				var that = this;
				console.log(that.auditstate)
				api.ajax({
					url: 'http://anhezuche.eacase.com/index/chezhu/index',
					method: 'post',
					data: {
						values: {
							token: token,
							auditstate: that.auditstate
						}
					}
				}, function(ret, err) {
					if(ret) {
						// var num = ret.carlist.length;
						// for(var j=0;j<that.tabList.length;j++){
						//   that.tabList[j].num = num;
						// }
						// alert(num)
						// console.log(JSON.stringify(ret));
						that.car = ret.carlist;
						for(var i = 0; i < that.car.length; i++) {
							that.car[i].carpic = that.car[i].carpic.split(',');
						}
					} else {
						console.log(JSON.stringify(err));
					}
				});
			},
			// 点击判断
			button: function(index) {
				var that = this;
				if(index == 0) {
					that.auditstate = ''
				} else if(index == 1) {
					that.auditstate = '已审核'
				} else if(index == 2) {
					that.auditstate = '待审核'
				}
				that.events();
			}
		},
	})
}
