apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});
	var cid = api.getPrefs({
		key: 'cid',
		sync: true
	});
	var app = new Vue({
		el: '#app',
		name: 'chat',
		data: {
			root: root,
			car: [],
			div3: true,
			tabList: [{
				name: '全部',
				num: '0'
			}, {
				name: '已审核',
				num: '0'
			}, {
				name: '待审核',
				num: '0'
			}]
		},
		mounted: function() {
			var that = this
			setStatusBar(document.querySelector(".Y_cz_sy_head"));
			api.setStatusBarStyle({
				style: 'dark',
				// dark 状态栏字体为黑色，适用于浅色背景
				// light 状态栏字体为白色，适用于深色背景
			});
			api.ajax({
				url: 'http://anhezuche.eacase.com/index/chezhu/index',
				method: 'post',
				data: {
					values: {
						token: token,
						cid: cid
					}
				}
			}, function(ret, err) {
				if(ret) {
					console.log(JSON.stringify(ret));
					that.car = ret.carlist;
					// that.car.
					for(var i = 0; i < that.car.length; i++) {
						that.car[i].carpic = that.car[i].carpic.split(',');
						console.log(that.car[i].auditstate);

						// if( that.car[i].auditstate=="已审核" ){
						//   that.div3 = true;
						//   // that.car[i].auditstate = that.carlist.auditstate;
						// }else if(that.car[i].auditstate=="待审核" ){
						//   that.div3 = false;
						//
						// }
					}
					// console.log(that.car[0])
					// console.log( JSON.stringify( that.car[0]) );
				} else {
					alert(JSON.stringify(err));
				}
			});
		},
		methods: {

			button: function(index) {
				alert(index)
				var that = this;
				if(index == 0) {
					alert('全部')
				} else if(index == 1 || that.car.auditstate == '已审核') {
					alert('已审核')
				} else if(index == 2 || that.car.auditstate == '待审核') {
					alert('待审核')
				}
			}

		},
	})
}
