apiready = function() {
	var token = api.getPrefs({
		key: 'token',
		sync: true
	});
	var app = new Vue({
		el: '#home',
		data: {
			tel: '',
			describe: '',
			carpic: {},
			root: root
		},
		mounted: function() {
			// 禁止上拉
			api.refreshHeaderLoadDone();
			api.setStatusBarStyle({
				style: 'dark', // dark 状态栏字体为黑色，适用于浅色背景
				// light 状态栏字体为白色，适用于深色背景
			});
			// 下拉加载回调
			refreshList();
			// 空出手机顶部状态栏
			// setStatusBar(document.querySelector(".Y_yhj_tou"));
			var that = this;
			api.ajax({
				url: 'http://anhezuche.eacase.com/index.php/index/myindex/index',
				method: 'post',
				data: {
					values: {
						token: token,
						type: 2
					}
				}
			}, function(ret, err) {
				if(ret) {
					console.log(JSON.stringify( ret ));
					that.carpic = ret.carpic;
					window.setTimeout(function() {
						var mySwiper = new Swiper('.swiper-container', {
							speed: 500,
							loop: true,
							autoplay: {
								delay: 3000,
								disableOnInteraction: false
							},
							pagination: {
								el: '.swiper-pagination',
								type: 'bullets',
								renderProgressbar: function(progressbarFillClass) {
									return '<span class="' + progressbarFillClass + '"></span>';
								}
							},
							observer: true, //修改swiper自己或子元素时，自动初始化swiper
							observeParents: true, //修改swiper的父元素时，自动初始化swiper
						});
					}, 3000)
				} else {
					console.log(JSON.stringify(err));
				}
			});
		},
		methods: {
			openUrl:function(url){
				var reg = /^((ht)tps?):\/\/[\w\-]+(\.[\w\-]+)+([\w\-.,@?^=%&:\/~+#]*[\w\-@?^=%&\/~+#])?$/;
				// if(!reg.test(url)){
				// 	return;
				// };
				api.openWin({
				    name: 'adWin',
				    url: url
				});
			},
			// 跳转到搜索页面
			searchJnmp: function() {
				api.openWin({
					name: 'L_search',
					url: './L_search.html',
					pageParam: {
						name: 'test'
					},
					animation: {
						type: 'movein',
						subType: 'from_bottom',
						duration: 300,
					}
				});
			},
			// 通知跳转
			homeGtz: function() {
				api.openWin({
					name: 'Y_xx1',
					url: './Y_xx.html',
					pageParam: {
						name: 'Y_xx'
					}
				});
			},
			// 自助找车
			homeGzzzc: function() {
				api.openWin({
					name: 'Y_zzzc1',
					url: './Y_zzzc.html',
					pageParam: {
						name: 'Y_zzzc'
					}
				});
			},
			// 邀请好友
			homeGyqhy: function() {
				api.openWin({
					name: 'Y_yqyl1',
					url: './Y_yqyl.html',
					pageParam: {
						name: 'Y_yqyl'
					}
				});
			},
			// 超值长租
			homeGczcz: function() {
				api.openWin({
					name: 'Y_czcz1',
					url: './Y_czcz.html',
					pageParam: {
						name: 'Y_czcz'
					}
				});
			},
			// 车辆登记
			homeGcldj: function() {
				api.openWin({
					name: 'cz_home1',
					url: './Y_cz/cz_home.html',
					pageParam: {
						name: 'cz_home'
					}
				});
			},
			// 精选优车
			homeGjxyc: function() {
				api.openWin({
					name: 'L_jxyclist1',
					url: './L_jxyclist.html',
					pageParam: {
						name: 'L_jxyclist'
					}
				});
			},
			// 会员免费
			homeGhymf: function() {
				api.openWin({
					name: 'L_hymflist1',
					url: './L_hymflist.html',
					pageParam: {
						name: 'L_hymflist'
					}
				});
			},
			// 特价车
			homeGtjc: function() {
				api.openWin({
					name: 'L_gxlist1',
					url: './L_gxlist.html',
					pageParam: {
						name: 'L_gxlist'
					}
				});
			},
			// 婚庆车
			homeFhqc: function() {
				api.openWin({
					name: 'L_hqzclist1',
					url: './L_hqzclist.html',
					pageParam: {
						name: 'L_hqzclist'
					}
				});
			},
		}
	})
}
