apiready=function(){
    var form=api.pageParam.form;
    if(form=='login'){
      api.sendEvent({
          name: 'closeLogin'
      });
    };
    var index=new Vue({
      el:'#index-con',
      data:{
        tabList:[{
          name:'home',
          title:'首页',
          icon:'&#xe628;',
          id:'',
          url:'./home_g.html',
          overScrollMode:'always'
        },{
          name:'order',
          title:'订单',
          icon:'&#xe667;',
          id:'',
          url:'./order.html'
        },{
          name:'service',
          title:'客服',
          icon:'&#xe627;',
          id:'',
          url:'./service.html'
        },{
          name:'mine',
          title:'我的',
          icon:'&#xe602;',
          id:'',
          url:'./mine.html'
        }],
        activeNav:{},
        orderTypeList:[{
          name:'待支付',
          id:''
        },{
          name:'已支付',
          id:''
        },{
          name:'正在用车',
          id:''
        },{
          name:'异常订单',
          id:''
        },{
          name:'申请还车',
          id:''
        },{
          name:'已取消',
          id:''
        },{
          name:'已完成',
          id:''
        },{
          name:'押金未退',
          id:''
        },{
          name:'已交车',
          id:''
        }],
        orderType:{},
        newMsg:false
      },
      created:function(){
        this.activeNav=this.tabList[0];
        api.setStatusBarStyle({
            style:'light'
        });
        // 禁止上拉
          api.refreshHeaderLoadDone();
      },
      mounted:function(){
        var that=this;
        // 适配iphone X底部被遮挡问题
        $api.fixTabBar(document.querySelector('.footer-nav'));
        setTimeout(function(){
          //配置底部tab
          setBottomTab({
            x:0,
            y:$api.offset(index.$refs.main).t,
            w:'auto',
            h:$api.offset(index.$refs.main).h
          },index.tabList);
        },1000);
        // 适配iphone X底部被遮挡问题
      },
      computed:{
        activeName:function(){
          return this.activeNav.name;
        }
      },
      watch:{
        activeName:function(name){
          if(name=='order'){
            this.orderType=this.orderTypeList[0];
          };
          if(name!='mine'){
            setStatusBar(document.querySelector('.header-con'));
          }else{
            document.querySelector('.header-con').style.paddingTop=0;
          };
        },
        orderType:{
          handler:function(type){
            api.sendEvent({
                name: 'orderTypeWatch',
                extra: {
                  type:type
                }
            });

          },
          deep:true
        }
      },
      methods:{
        //消息
        xiaoxi:function(){
          api.openWin({
              name: 'Y_xx',
              url: './Y_xx.html'
          });
          this.newMsg=false;
        },
        //切换底部导航
        tabSelect:function(nav,num){
          this.activeNav=nav;
          api.setFrameGroupIndex({
            name:'index',
            index:num
          });
          this.$nextTick(function(){
            api.setFrameGroupAttr({
                name: 'index',
                rect: {
                  x:0,
                  y:$api.offset(this.$refs.main).t,
                  w:'auto',
                  h:$api.offset(this.$refs.main).h
                }
            });
          });

        },
        //切换订单类型
        typeSelect:function(type){
          this.orderType=type;
        },
        //跳转到客服
        openKf:function(){
          api.sendEvent({
              name: 'tabSelect',
              extra: {
                  index:2
              }
          });
        },
        // 跳转到搜索页面
        searchJnmp:function(){
          api.openWin({
              name: 'L_search',
              url: './L_search.html',
              pageParam: {
                  name: 'test'
              },
              animation:{
                type:'movein',
                subType:'from_bottom',
                duration:300,
              }
          });
        }
      }
  });
  //监听tab切换事件
  api.addEventListener({
      name: 'tabSelect'
  }, function(ret, err){
      var indexNum=ret.value.index;
      var activeNav=index.tabList[indexNum];
      index.tabSelect(activeNav,indexNum);
  });
  //重写返回键点击事件
  api.addEventListener({
      name: 'keyback'
  }, function(ret, err){
      api.closeWidget();
  });
  //监听退出登录事件
  api.addEventListener({
      name: 'logined'
  }, function(ret, err){
      api.closeWin();
  });
  //监听closeIndex事件
  api.addEventListener({
    name: 'closeIndex'
  }, function(ret, err){
    setTimeout(function(){
      api.closeWin();
    },1000);
  });
  //监听消息推送事件
  api.addEventListener({
      name: 'xxsj'
  }, function(ret, err){
      if(ret.value.pushData.appParam){
        api.openWin({
            name: 'Y_ptxx.html',
            url: './Y_ptxx.html'
        });
      }else{
        index.index=true;
      };
  });
  //监听订单推送事件
  api.addEventListener({
      name: 'ddsj'
  }, function(ret, err){
      if(ret.value.pushData.appParam){
        api.closeToWin({
            name: 'index'
        });
        index.tabSelect(index.tabList[1],1);
      }
  });
};
