var L_reg_log = {

    // 获取验证码
    getCode: function(vue, callback) {
        // alert(vue.regPhone)
        // return;
        var that = this
        api.ajax({
            url: 'http://anhezuche.eacase.com/index.php/index/login/gettel',
            method: 'post',
            dataType: "json",
            data: {
                values: {
                    phone: vue.regPhone,
                }
            }
        }, function(ret, err) {
            if (ret) {

                // alert( JSON.stringify( ret ) );
                callback(ret)
            } else {
                // alert(2)
                // alert(JSON.stringify(err));
                api.toast({
                    msg: '发送失败',
                    duration: 2000,
                    location: 'bottom'
                });

            }
        });
    },

    // 注册
    reg: function(vue, callback) {
        var that = this;
        api.ajax({
            url: 'http://anhezuche.eacase.com/index.php/index/login/register',
            method: 'post',
            dataType: "json",
            data: {
                values: {
                    phone: vue.regPhone,
                    code: vue.regCode,
                    password: vue.regPassword,
                    recommend_code: vue.yqcode
                }
            }
        }, function(ret, err) {
            if (ret) {
                // alert(JSON.stringify( ret ) )
                callback(ret)
            } else {
                // alert( JSON.stringify( err ) );
            }
        });

    },
    // 忘记密码
    forgetpass: function(vue, callback) {
        var that = this;

        api.ajax({
            url: 'http://anhezuche.eacase.com/index.php/index/login/forgetmima',
            method: 'post',
            dataType: "json",
            data: {
                values: {
                    phone: vue.regPhone,
                    code: vue.forget_code,
                    password: vue.forget_newpass,
                }
            }
        }, function(ret, err) {
            if (ret) {
                callback(ret)
                    // alert(0)
                    // alert( JSON.stringify( ret ) );
            } else {
                console.log(1)
                console.log(JSON.stringify(err));
            }
        });

    },

    // 登录
    login: function(vue, callback) {
       alert(vue.log_phone)
        var that = this;
        api.ajax({
            url: 'http://anhezuche.eacase.com/index.php/index/login/login',
            method: 'get',
            dataType: "json",
            data: {
                values: {
                    phone: vue.log_phone,
                    password: vue.log_pass,
                }
            }
        }, function(ret, err) {
        alert(JSON.stringify(ret));

            if (ret) {
                // if(ret.statusCode==200){
                if (ret.code == "0") {
                    api.setPrefs({
                        key: 'token',
                        value: ret.token
                    });
                    api.setPrefs({
                        key: 'log_phone',
                        value: vue.log_phone
                    });
                    api.setPrefs({
                        key: 'log_pass',
                        value: vue.log_phone
                    });
                    api.setGlobalData({
                        key: "userInfo",
                        value: ret.data
                    })
                    var userData = JSON.stringify(ret.data);
                    api.setPrefs({
                        key: 'userInfo',
                        value: userData
                    });
                }
                callback(ret)
                    // api.closeWin();
            } else {
                console.log(err);
            }
        });

    },
    // 自助找车列表页
    zzzcUP: function(vue, callback) {
      // alert(vue.pricesort)
      // alert(vue.minmoney)
      // alert(vue.maxmoney)
//    alert(vue.page)
        var token = api.getPrefs({
            key: 'token',
            sync: true
        });
        api.ajax({
                url: 'http://anhezuche.eacase.com/index.php/index/myindex/zizhusearch',
                method: 'post',
                dataType: 'json',
                data: {
                    values: {
                        page: vue.page,
                        size: vue.sizes,
                        token: token,
                        pricesort:vue.pricesort,//综合排序等
                        minprice: vue.minmoney,//金额查询最小
                        maxprice :vue.maxmoney,//金额查询最大
                        brand:vue.brand,//品牌查询
                    }
                }
            }, function(ret, err) {
                if (ret) {
                  // alert(JSON.stringify(ret))
                  	api.hideProgress();
                    // alert(vue.page)
                    callback(ret)
                } else {
                  // alert(JSON.stringify(err))

                }
                api.refreshHeaderLoadDone();
                vue.downLoading = false;
            }

        )
    },
    // 精选优车列表页
    jxycUP: function(vue, callback) {
        var token = api.getPrefs({
            key: 'token',
            sync: true
        });
        api.ajax({
                url: 'http://anhezuche.eacase.com/index.php/index/myindex/jingxuanwhole',
                method: 'post',
                dataType: 'json',
                data: {
                    values: {
                        page: vue.page++,
                        size: vue.sizes,
                        token: token
                    }
                }
            }, function(ret, err) {
                if (ret) {
                    // alert(vue.page)
                    callback(ret)
                } else {

                }
                api.refreshHeaderLoadDone();
                vue.downLoading = false;
            }

        )
    },
    // tj列表页
    gxUP: function(vue, callback) {
        var token = api.getPrefs({
            key: 'token',
            sync: true
        });
        api.ajax({
                url: 'http://anhezuche.eacase.com/index.php/index/myindex/specialcar',
                method: 'post',
                dataType: 'json',
                data: {
                    values: {
                        page: vue.page++,
                        size: vue.sizes,
                        token: token
                    }
                }
            }, function(ret, err) {
                if (ret) {
                    // alert(vue.page)
                    callback(ret)
                } else {

                }
                api.refreshHeaderLoadDone();
                vue.downLoading = false;
            }

        )
    },
    // 会员列表页
    hyUP: function(vue, callback) {
        var token = api.getPrefs({
            key: 'token',
            sync: true
        });
        api.ajax({
                url: 'http://anhezuche.eacase.com/index.php/index/myindex/freecar',
                method: 'post',
                dataType: 'json',
                data: {
                    values: {
                        page: vue.page++,
                        size: vue.sizes,
                        token: token
                    }
                }
            }, function(ret, err) {
                if (ret) {
                    // alert(vue.page)
                    callback(ret)
                } else {

                }
                api.refreshHeaderLoadDone();
                vue.downLoading = false;
            }

        )
    },

    // 婚庆租车列表页
    hqzcUP: function(vue, callback) {
        var token = api.getPrefs({
            key: 'token',
            sync: true
        });
        api.ajax({
                url: 'http://anhezuche.eacase.com/index.php/index/myindex/hunchewhole',
                method: 'post',
                dataType: 'json',
                data: {
                    values: {
                        page: vue.page++,
                        size: vue.sizes,
                        token: token
                    }
                }
            }, function(ret, err) {
                if (ret) {
                    // alert(vue.page)
                    callback(ret)
                } else {

                }
                api.refreshHeaderLoadDone();
                vue.downLoading = false;
            }

        )
    },
    // 我的收藏列表页
    wdscUP: function(vue, callback) {
        var token = api.getPrefs({
            key: 'token',
            sync: true
        });
        var userInfo = api.getPrefs({
            key: 'userInfo',
            sync: true
        });
        var user_id = JSON.parse(userInfo).id;
        // alert(user_id);

        api.ajax({
                url: 'http://anhezuche.eacase.com/index.php/index/myindex/listthumbs',
                method: 'post',
                dataType: 'json',
                data: {
                    values: {
                        page: vue.page++,
                        size: vue.sizes,
                        token: token,
                        userid: user_id,
                    }
                }
            }, function(ret, err) {
                if (ret) {
                    // alert(vue.page)
                    callback(ret)
                } else {

                }
                api.refreshHeaderLoadDone();
                vue.downLoading = false;
            }

        )
    },
    // 选择照相机或者相册

    // 实名认证
    getPicture: function(vue, sourceType, e) {
        if (e == 1) {
            if (sourceType == 1) { // 拍照
                api.getPicture({
                    sourceType: 'camera',
                    encodingType: 'jpg',
                    mediaValue: 'pic',
                    allowEdit: false,
                    destinationType: 'url',
                    quality: 90,
                    saveToPhotoAlbum: true
                }, function(ret, err) {
                    if (ret) {
                        if (ret.data == '') {
                            vue.sfzm = '../image/Y_img/zm.png';
                            vue.qxzm = '../../image/cz/xszzp.png';
                            vue.sfzzm = '../../image/cz/xszzp.png';
                            vue.xszzm = '../../image/cz/xszzp.png';
                            // vue.xszfm = '../../image/cz/xszzp.png';/

                            // vue.sxzm = '../../image/cz/xszzp.png';
                        } else {
                            vue.sfzm = ret.data;
                            vue.qxzm = ret.data;
                            vue.xszzm = ret.data;
                            vue.sfzzm = ret.data;
                            // vue.xszfm = ret.data
                            // vue.sxzm = ret.data;
                            // alert(vue.qxzm)
                            // vue.certpic.push(ret.data);
                        }
                    } else {
                        vue.sfzm = '../image/Y_img/zm.png';
                        vue.qxzm = '../../image/cz/xszzp.png';
                        vue.sfzzm = '../../image/cz/xszzp.png';
                        vue.xszzm = '../../image/cz/xszzp.png';
                        // vue.xszfm = '../../image/cz/xszzp.png';
                        // vue.sxzm = '../../image/cz/xszzp.png';
                        api.toast({
                            msg: '选择失败',
                            duration: 2000,
                            location: 'bottom'
                        });
                    }
                });
            } else if (sourceType == 2) { // 从相机中选择
                api.getPicture({
                    sourceType: 'library',
                    encodingType: 'jpg',
                    mediaValue: 'pic',
                    destinationType: 'url',
                    quality: 50,
                    targetWidth: 750,
                    targetHeight: 750
                }, function(ret, err) {
                    if (ret) {
                        if (ret.data == '') {
                            vue.sfzm = '../image/Y_img/zm.png';
                            vue.qxzm = '../../image/cz/xszzp.png';
                            vue.sfzzm = '../../image/cz/xszzp.png';
                            vue.xszzm = '../../image/cz/xszzp.png';
                            // vue.xszfm = '../../image/cz/xszzp.png';
                            // vue.sxzm = '../../image/cz/xszzp.png';
                        } else {
                            vue.sfzm = ret.data;
                            vue.qxzm = ret.data;
                            vue.sfzzm = ret.data;
                            vue.xszzm = ret.data;
                            // vue.xszfm = ret.data;
                            // vue.sxzm = ret.data;
                            // vue.sxzm = '../../image/cz/xszzp.png';
                            // vue.certpic.push(ret.data);
                        }

                    } else {
                        vue.sfzm = '../image/Y_img/zm.png';
                        vue.qxzm = '../../image/cz/xszzp.png';
                        vue.xszzm = '../../image/cz/xszzp.png';
                          vue.sfzzm = '../../image/cz/xszzp.png';
                        // vue.xszfm = '../../image/cz/xszzp.png';
                        api.toast({
                            msg: '选择失败',
                            duration: 2000,
                            location: 'bottom'
                        });
                    }
                });
            }


        } else if (e == 2) {

            if (sourceType == 1) { // 拍照
                api.getPicture({
                    sourceType: 'camera',
                    encodingType: 'jpg',
                    mediaValue: 'pic',
                    allowEdit: false,
                    destinationType: 'url',
                    quality: 90,
                    saveToPhotoAlbum: true
                }, function(ret, err) {
                    if (ret) {
                        if (ret.data == '') {
                            vue.sffm = '../image/Y_img/fm.png';
                            vue.sxzm = '../../image/cz/xszzp.png';
                            vue.xszfm = '../../image/cz/xszzp.png';
                            vue.sfzfm = '../../image/cz/xszzp.png';
                        } else {
                            vue.sffm = ret.data;
                            vue.sxzm = ret.data;
                            vue.xszfm = ret.data;
                            vue.sfzfm = ret.data;

                        }

                    } else {
                        vue.sffm = '../image/Y_img/fm.png';
                        vue.sxzm = '../../image/cz/xszzp.png';
                        vue.sfzfm = '../../image/cz/xszzp.png';
                        vue.xszfm = '../../image/cz/xszzp.png';
                        api.toast({
                            msg: '选择失败',
                            duration: 2000,
                            location: 'bottom'
                        });

                    }
                });
            } else if (sourceType == 2) { // 从相机中选择
                api.getPicture({
                    sourceType: 'library',
                    encodingType: 'jpg',
                    mediaValue: 'pic',
                    destinationType: 'url',
                    quality: 50,
                    targetWidth: 750,
                    targetHeight: 750
                }, function(ret, err) {
                    if (ret) {
                        if (ret.data == '') {
                            vue.sffm = '../image/Y_img/fm.png';
                            vue.sxzm = '../../image/cz/xszzp.png';
                            vue.sfzfm = '../../image/cz/xszzp.png';
                            vue.xszfm = '../../image/cz/xszzp.png';
                            // vue.qxfm = '../../image/cz/xszzp.png';
                            // vue.xszfm = '../../image/cz/xszzp.png';
                        } else {
                            vue.sffm = ret.data;
                            vue.sxzm = ret.data;
                            vue.sfzfm = ret.data;
                            vue.xszfm = ret.data;
                        }

                    } else {
                        vue.sffm = '../image/Y_img/fm.png';
                        vue.sxzm = '../../image/cz/xszzp.png';
                        vue.sfzfm = '../../image/cz/xszzp.png';
                        vue.xszfm = '../../image/cz/xszzp.png';
                        api.toast({
                            msg: '选择失败',
                            duration: 2000,
                            location: 'bottom'
                        });
                    }
                });
            }




        } else if (e == 3) {

            if (sourceType == 1) { // 拍照
                api.getPicture({
                    sourceType: 'camera',
                    encodingType: 'jpg',
                    mediaValue: 'pic',
                    allowEdit: false,
                    destinationType: 'url',
                    quality: 90,
                    saveToPhotoAlbum: true
                }, function(ret, err) {
                    if (ret) {
                        if (ret.data == '') {
                            vue.jszm = '../image/Y_img/jszm.png';
                        } else {
                            vue.jszm = ret.data;
                        }
                    } else {
                        vue.jszm = '../image/Y_img/jszm.png';
                        api.toast({
                            msg: '选择失败',
                            duration: 2000,
                            location: 'bottom'
                        });

                    }
                });
            } else if (sourceType == 2) { // 从相机中选择
                api.getPicture({
                    sourceType: 'library',
                    encodingType: 'jpg',
                    mediaValue: 'pic',
                    destinationType: 'url',
                    quality: 50,
                    targetWidth: 750,
                    targetHeight: 750
                }, function(ret, err) {
                    if (ret) {
                        if (ret.data == '') {
                            vue.jszm = '../image/Y_img/jszm.png';
                        } else {
                            vue.jszm = ret.data;
                        }
                    } else {
                        vue.jszm = '../image/Y_img/jszm.png';
                        api.toast({
                            msg: '选择失败',
                            duration: 2000,
                            location: 'bottom'
                        });
                    }
                });
            }

        } else if (e == 4) {

            if (sourceType == 1) { // 拍照
                api.getPicture({
                    sourceType: 'camera',
                    encodingType: 'jpg',
                    mediaValue: 'pic',
                    allowEdit: false,
                    destinationType: 'url',
                    quality: 90,
                    saveToPhotoAlbum: true
                }, function(ret, err) {
                    if (ret) {
                        if (ret.data == '') {
                            vue.jsfm = '../image/Y_img/jsfm.png';
                        } else {
                            vue.jsfm = ret.data;
                        }

                    } else {
                        vue.jsfm = '../image/Y_img/jsfm.png';
                        api.toast({
                            msg: '修改失败',
                            duration: 2000,
                            location: 'bottom'
                        });

                    }
                });
            } else if (sourceType == 2) { // 从相机中选择
                api.getPicture({
                    sourceType: 'library',
                    encodingType: 'jpg',
                    mediaValue: 'pic',
                    destinationType: 'url',
                    quality: 50,
                    targetWidth: 750,
                    targetHeight: 750
                }, function(ret, err) {
                    if (ret) {
                        if (ret.data == '') {
                            vue.jsfm = '../image/Y_img/jsfm.png';
                        } else {
                            vue.jsfm = ret.data;
                        }

                    } else {
                        vue.jsfm = '../image/Y_img/jsfm.png';
                        api.toast({
                            msg: '选择失败',
                            duration: 2000,
                            location: 'bottom'
                        });
                    }
                });
            }

        }

    },

    UIAlbumBrowser_transPath:function () {
       var i = 0;
        UIAlbumBrowser.transPath({
            path: imgarr[i].path
        }, function(ret, err) {
            if (ret) {
                i++;
                if (i < imgarr.length) {
                    UIAlbumBrowser_transPath();
                } else {
                    i = 0;
                }
                var img = document.createElement('img');
                img.src = ret.path;
                document.getElementById('bd').appendChild(img);
                console.log("ret.path:" + ret.path);
            } else {
                console.log(JSON.stringify(err));
            }
        });
    }

};
